Search results for

“DTiPhoneSimulatorErrorDomain Code 2”

162,348 results found

Post

Replies

Boosts

Views

Activity

Reply to VZVirtualMachineView window and system function keys
[quote='888654022, rbmanian75, /thread/826990?answerId=888654022#888654022'] I have already set this to true. [/quote] OK. I’d like to clarify the actual goal here. On macOS function keys behave [1] in one of two different ways: Without the fn modifier, the function keys perform built-in actions. For example, pressing F10 on my MacBook Pro perform a mute action. With the fn modifier, the function keys generate traditional function key events. For example, pressing fn + F10 generates an F10 function key event. Which of these are you trying to route to the guest? Also, you specifically called out F10 and F11. Were those just examples? Or are you seeing different behaviours for different function keys? Share and Enjoy — Quinn “The Eskimo!” @ Developer Technical Support @ Apple let myEmail = eskimo + 1 + @ + apple.com [1] You can reverse these two options with System Settings > Keyboard > Keyboard Shortcuts > Function Keys > Use F1, F2, etc. keys as standard function keys. Wow, we re
6d
Reply to Cannot access profile page of individual DTS engineers
You’re not the first person to notice this. I can’t provide any backstory, but I will say that an enhancement request to bring this back feature would be welcome [1]. Make sure to include an explanation of why you want this. Please post your bug number so I can add it to my own personal watchlist. Share and Enjoy — Quinn “The Eskimo!” @ Developer Technical Support @ Apple let myEmail = eskimo + 1 + @ + apple.com [1] I’m almost certain that someone has already filed a bug about this, but I spent a bunch of time looking for that today and I couldn’t find it. It may have got merged into a wider bug about our user name story in general (right now if two DTSers are helping you on a thread, it’s hard to tell them apart). Regardless, a new bug from a third-party developer explaining the value they see in the feature would be useful.
6d
Reply to Developer ID notarization submissions stuck In Progress after app transfer
You can expect that most uploads will be notarised quickly. Occasionally, some uploads are held for in-depth analysis and may take longer to complete. As you notarise your apps, the system will learn how to recognise them, and you should see fewer delays. For lots of additional info about notarisation, see Notarisation Resources. Specifically, it links to a Q&A with the notary service team that’s quite instructive. [quote='827096021, mazzystar, /thread/827096, /profile/mazzystar'] Is it expected for Developer ID notarization jobs to remain “In Progress” for more than a day with no log available? [/quote] Yes, if you hit the in-depth analysis path mentioned above. We don’t document a detailed list of criteria that cause a request to get on that path. However, one thing I’ve noticed here on the forums is that folks with new apps, or new teams, are commonly affected. Given that, I’m not super surprised that you’re seeing it after an app transfer. My advice here is that you simple wait. This state usually cle
Topic: Code Signing SubTopic: Notarization Tags:
6d
Organization Enrollment Stuck – Verification Call Never Connected – Enrollment ID 2556XS5J8X
Hello Apple Developer Support Team, I am writing to request assistance with my organization enrollment, which has been stuck in processing for over two weeks due to a circumstance outside my control. Enrollment ID: 2556XS5J8X Entity type: Organization (LLC) State of incorporation: Florida, USA Timeline of events: May 2, 2026 — Submitted all required organization documents for enrollment May 6, 2026 — Enrollment account was blocked May 7, 2026 — Requested unblock; account was successfully restored May 7–21, 2026 — Status has remained: Your enrollment is being processed with no payment option, no follow-up email, and no further communication The core issue — verification calls blocked as spam: Over the past several days, I received multiple calls from unknown numbers that my iPhone automatically flagged and silenced as spam. I did not realize at the time that these were Apple's organization verification calls. By the time I identified the pattern, the calls had already stopped. I have since di
1
0
115
6d
Reply to Significant drop in APNs 410 Unregistered responses since around May 12
Hi, Thank you for the clarification. We understand that APNs 410 timing is intentionally unpredictable, and that APNs may return HTTP/200 for tokens that are no longer in active use for an extended period. However, the current issue does not appear to be correcting itself within a short while on our side. We have continued to observe the same behavior since around May 12, and it is still ongoing as of May 22. Across multiple bundle IDs, the volume and rate of HTTP/410 “Unregistered” responses remain significantly lower than the pre-May-12 baseline, while our APNs request volume, request flow, credentials, push token collection, and App Store Connect deletion trends remain stable. Could you clarify the following? Is this temporary glitch still ongoing on the APNs side? Is there an estimated timeline for when APNs 410 “Unregistered” response behavior is expected to return to normal? Should we expect APNs to eventually return 410 for tokens that would have returned 410 during the affected period, or will those t
6d
original_transaction_id associated to web_order_line_item_id of auto-renewable subscription changed
Our app offers auto-renewable subscriptions using StoreKit Original API for In-App Purchase and App Store Server Notifications V1. Starting around 2025-03-15, we found some cases where original_transaction_id which was associated to web_order_line_item_id of already purchased subscription had changed in the receipt information of verifyReceipt response or App Store Server Notifications V1. The detailed steps are: Around February 2025, re-purchase from the app the same subscription product which was canceled and expired some time ago, using StoreKit Original API for In-App Purchase Receive the following 2 notifications from App Store Server Notifications V1 almost at the same time INITIAL_BUY DID_CHANGE_RENEWAL_STATUS In both notifications, latest_receipt_info contains the receipt for the re-purchased subscription period with new original_transaction_id and web_order_line_item_id pending_renewal_info contains both new original_transaction_id and original one which was generated at first purchase, and
4
0
512
6d
Reply to Zooming in Storyboards/XIBs for macOS App?
I don't see how you could ever do pixel-perfect layouts in storyboard in the first place. It's extremely buggy. I generally have a lot of constraints that I configure to be removed at build. I just need them in IB to keep the size greater than zero and less than 7000. Then I set accurate constraints in code. That's really the only option. What you see in IB is just a very rough facsimile of what it will look like when running. And many Mac controls don't support constraints at all.
6d
APNs VoiP Push Delivery Speed
We have an app that uses PushKit and CallKit for video calling. These are often emergency calls, so very latency-sensitive. We keep track of when we sent out the APNs request and when the phone started ringing. The p95 latency is about 2 seconds (mean is ~800ms), which feels quite long.. Is this normal? I'd expect <500ms most of the time given that the devices and servers are all within the US. The users typically have a stable internet connection. Our requests look like this: POST https://api.push.apple.com/3/device/ apns-topic: com.vpt.physician.voip apns-push-type: voip apns-priority: 10 apns-expiration: 0 authorization: bearer content-type: application/json { aps: { content-available: 1 }, title: Example Text, type: CallFromTablet, timeout_ms: 30000 } If there's any more info I can provide to help troubleshoot this, let me know. Thanks in advance.
4
0
208
6d
Reply to APNs VoiP Push Delivery Speed
Sorry for the delay. A bug on the forums prevented me from replying. That seems to be fixed now, so here are some examples: So, before I comment on your two examples, there are a few things I want to make clear: These issues cannot be properly investigated by simply looking at your app’s own logging or even the full system log. The actual behavior here is determined not just by the software environment, but the network the device is operating on and the physical environment the device is active in. Your app and server have no real role in any of this, and, ignoring obvious failures like app crashes or server failures, nothing you can do will have any effect on this. There is value in understanding how your pushes are generally behaving, but many developers come into these issues with the assumption that there is some kind of fix that they need to find and apply, after which their app will work great. Nothing like this actually exists. Looking at your two examples: APNs response time: 2026-05
6d
Issue related to APNS is delivering expired voip push notification.
Hi, am facing an issue related to voip push notifications getting delivered 1-2 hours after apns-expiration to 0 and apns-priority to 10. I had raised a similar post got a reply that it may be due to network delay. But network delay can cause the delivery of voip push to be delayed only by few seconds or minutes. But in our case voip push is getting delivered hours after the voip call was attempted. Steps to reproduce: Put our voip app in background and lock iPhone. As app is put in background, socket connections gets disconnected from server. Now if a caller makes call to this app, the call should be delivered through voip push. 2) Voip push should ideally be received even if app is in background and iPhone is locked. It is connected to a good wifi network. But it does not receive the voip push. 3) After 1-2 hours user unlocks iPhone and opens voip app. As soon as user opens app, the voip push is received and phone starts ringing.
11
0
696
6d
XCode 26.5: cannot Copy shared cache symbols from Apple Watch
The process of copying shared cache symbols from my Apple Watch has been horrendous. I cannot even get past 2% complete before this process fails. Every device is on the same network. I have trusted my machine. Developer mode is enabled on the watch. I have successfully paired the phone and watch. I managed to install an Watch app onto the watch. But the shared cache symbols were never copied from the watch. I gathered several commands at the terminal to help me. rm -rf ~/Library/Developer/Xcode/DerivedData rm -rf ~/Library/Developer/CoreDevice sudo killall -9 remoted CoreDeviceService 2>/dev/null || true xcrun devicectl manage ddis update xcrun devicectl list devices Clear CoreDevice state. With Xcode quit: rm -rf ~/Library/Developer/Xcode/DerivedData rm -rf ~/Library/Caches/com.apple.dt.Xcode Reset Xcode's Local Network permission. tccutil reset Local-Network com.apple.dt.Xcode tccutil reset Bluetooth com.apple.dt.Xcode xcrun devicectl device info hardware --device MY_DEVICE_ID xcrun de
1
0
160
6d
Developer Subscription enrollment not completing.
Hello guys. It's been 2 weeks since I paid for my developer account and I haven't received access to the developer tools yet. I finished all the process and still nothing, the money has also been charged from my bank account. Also I contacted https://developer.apple.com/contact/ but I haven't received any answer from them. I don't know how to proceed.
1
0
79
6d
Apple Developer Program Enrollment Pending for 2+ Weeks, No Response from Support
Hello, My Apple Developer Program enrollment has been stuck on Pending for over two weeks with no communication from Apple. Details: Apple ID: inquirytpv [at] gmail [dot] com Enrollment type: Individual Location: Japan What I have confirmed: Two-factor authentication is enabled Apple ID name matches my legal ID exactly No pending agreements or verification requests in the portal No emails in spam/junk requesting additional action I have a completed macOS application ready for App Store submission. This pending status is the only thing blocking my launch. I have also tried contacting support via the Contact Us page but have not received a response. Could someone please review my enrollment or let me know if anything additional is needed? Thank you.
1
0
83
6d
Reply to VZVirtualMachineView window and system function keys
[quote='888654022, rbmanian75, /thread/826990?answerId=888654022#888654022'] I have already set this to true. [/quote] OK. I’d like to clarify the actual goal here. On macOS function keys behave [1] in one of two different ways: Without the fn modifier, the function keys perform built-in actions. For example, pressing F10 on my MacBook Pro perform a mute action. With the fn modifier, the function keys generate traditional function key events. For example, pressing fn + F10 generates an F10 function key event. Which of these are you trying to route to the guest? Also, you specifically called out F10 and F11. Were those just examples? Or are you seeing different behaviours for different function keys? Share and Enjoy — Quinn “The Eskimo!” @ Developer Technical Support @ Apple let myEmail = eskimo + 1 + @ + apple.com [1] You can reverse these two options with System Settings > Keyboard > Keyboard Shortcuts > Function Keys > Use F1, F2, etc. keys as standard function keys. Wow, we re
Replies
Boosts
Views
Activity
6d
Reply to Cannot access profile page of individual DTS engineers
You’re not the first person to notice this. I can’t provide any backstory, but I will say that an enhancement request to bring this back feature would be welcome [1]. Make sure to include an explanation of why you want this. Please post your bug number so I can add it to my own personal watchlist. Share and Enjoy — Quinn “The Eskimo!” @ Developer Technical Support @ Apple let myEmail = eskimo + 1 + @ + apple.com [1] I’m almost certain that someone has already filed a bug about this, but I spent a bunch of time looking for that today and I couldn’t find it. It may have got merged into a wider bug about our user name story in general (right now if two DTSers are helping you on a thread, it’s hard to tell them apart). Regardless, a new bug from a third-party developer explaining the value they see in the feature would be useful.
Replies
Boosts
Views
Activity
6d
Reply to Developer ID notarization submissions stuck In Progress after app transfer
You can expect that most uploads will be notarised quickly. Occasionally, some uploads are held for in-depth analysis and may take longer to complete. As you notarise your apps, the system will learn how to recognise them, and you should see fewer delays. For lots of additional info about notarisation, see Notarisation Resources. Specifically, it links to a Q&A with the notary service team that’s quite instructive. [quote='827096021, mazzystar, /thread/827096, /profile/mazzystar'] Is it expected for Developer ID notarization jobs to remain “In Progress” for more than a day with no log available? [/quote] Yes, if you hit the in-depth analysis path mentioned above. We don’t document a detailed list of criteria that cause a request to get on that path. However, one thing I’ve noticed here on the forums is that folks with new apps, or new teams, are commonly affected. Given that, I’m not super surprised that you’re seeing it after an app transfer. My advice here is that you simple wait. This state usually cle
Topic: Code Signing SubTopic: Notarization Tags:
Replies
Boosts
Views
Activity
6d
Reply to Could not launch app on watchOS downloaded from TestFlight
I've just (2 weeks ago) released an iOS/watchOS app and have a TestFlight user experiencing this. The app listens for HealthKit updates and wakes/processes/records data to update its complication. The user in question is on an S10 26.4 (23T240). That I know of no other user is experiencing this. I've had no reports of this happening for production users.
Topic: App & System Services SubTopic: General Tags:
Replies
Boosts
Views
Activity
6d
Organization Enrollment Stuck – Verification Call Never Connected – Enrollment ID 2556XS5J8X
Hello Apple Developer Support Team, I am writing to request assistance with my organization enrollment, which has been stuck in processing for over two weeks due to a circumstance outside my control. Enrollment ID: 2556XS5J8X Entity type: Organization (LLC) State of incorporation: Florida, USA Timeline of events: May 2, 2026 — Submitted all required organization documents for enrollment May 6, 2026 — Enrollment account was blocked May 7, 2026 — Requested unblock; account was successfully restored May 7–21, 2026 — Status has remained: Your enrollment is being processed with no payment option, no follow-up email, and no further communication The core issue — verification calls blocked as spam: Over the past several days, I received multiple calls from unknown numbers that my iPhone automatically flagged and silenced as spam. I did not realize at the time that these were Apple's organization verification calls. By the time I identified the pattern, the calls had already stopped. I have since di
Replies
1
Boosts
0
Views
115
Activity
6d
Reply to Significant drop in APNs 410 Unregistered responses since around May 12
Hi, Thank you for the clarification. We understand that APNs 410 timing is intentionally unpredictable, and that APNs may return HTTP/200 for tokens that are no longer in active use for an extended period. However, the current issue does not appear to be correcting itself within a short while on our side. We have continued to observe the same behavior since around May 12, and it is still ongoing as of May 22. Across multiple bundle IDs, the volume and rate of HTTP/410 “Unregistered” responses remain significantly lower than the pre-May-12 baseline, while our APNs request volume, request flow, credentials, push token collection, and App Store Connect deletion trends remain stable. Could you clarify the following? Is this temporary glitch still ongoing on the APNs side? Is there an estimated timeline for when APNs 410 “Unregistered” response behavior is expected to return to normal? Should we expect APNs to eventually return 410 for tokens that would have returned 410 during the affected period, or will those t
Replies
Boosts
Views
Activity
6d
original_transaction_id associated to web_order_line_item_id of auto-renewable subscription changed
Our app offers auto-renewable subscriptions using StoreKit Original API for In-App Purchase and App Store Server Notifications V1. Starting around 2025-03-15, we found some cases where original_transaction_id which was associated to web_order_line_item_id of already purchased subscription had changed in the receipt information of verifyReceipt response or App Store Server Notifications V1. The detailed steps are: Around February 2025, re-purchase from the app the same subscription product which was canceled and expired some time ago, using StoreKit Original API for In-App Purchase Receive the following 2 notifications from App Store Server Notifications V1 almost at the same time INITIAL_BUY DID_CHANGE_RENEWAL_STATUS In both notifications, latest_receipt_info contains the receipt for the re-purchased subscription period with new original_transaction_id and web_order_line_item_id pending_renewal_info contains both new original_transaction_id and original one which was generated at first purchase, and
Replies
4
Boosts
0
Views
512
Activity
6d
Reply to Zooming in Storyboards/XIBs for macOS App?
I don't see how you could ever do pixel-perfect layouts in storyboard in the first place. It's extremely buggy. I generally have a lot of constraints that I configure to be removed at build. I just need them in IB to keep the size greater than zero and less than 7000. Then I set accurate constraints in code. That's really the only option. What you see in IB is just a very rough facsimile of what it will look like when running. And many Mac controls don't support constraints at all.
Replies
Boosts
Views
Activity
6d
APNs VoiP Push Delivery Speed
We have an app that uses PushKit and CallKit for video calling. These are often emergency calls, so very latency-sensitive. We keep track of when we sent out the APNs request and when the phone started ringing. The p95 latency is about 2 seconds (mean is ~800ms), which feels quite long.. Is this normal? I'd expect <500ms most of the time given that the devices and servers are all within the US. The users typically have a stable internet connection. Our requests look like this: POST https://api.push.apple.com/3/device/ apns-topic: com.vpt.physician.voip apns-push-type: voip apns-priority: 10 apns-expiration: 0 authorization: bearer content-type: application/json { aps: { content-available: 1 }, title: Example Text, type: CallFromTablet, timeout_ms: 30000 } If there's any more info I can provide to help troubleshoot this, let me know. Thanks in advance.
Replies
4
Boosts
0
Views
208
Activity
6d
Reply to APNs VoiP Push Delivery Speed
Sorry for the delay. A bug on the forums prevented me from replying. That seems to be fixed now, so here are some examples: So, before I comment on your two examples, there are a few things I want to make clear: These issues cannot be properly investigated by simply looking at your app’s own logging or even the full system log. The actual behavior here is determined not just by the software environment, but the network the device is operating on and the physical environment the device is active in. Your app and server have no real role in any of this, and, ignoring obvious failures like app crashes or server failures, nothing you can do will have any effect on this. There is value in understanding how your pushes are generally behaving, but many developers come into these issues with the assumption that there is some kind of fix that they need to find and apply, after which their app will work great. Nothing like this actually exists. Looking at your two examples: APNs response time: 2026-05
Replies
Boosts
Views
Activity
6d
Issue related to APNS is delivering expired voip push notification.
Hi, am facing an issue related to voip push notifications getting delivered 1-2 hours after apns-expiration to 0 and apns-priority to 10. I had raised a similar post got a reply that it may be due to network delay. But network delay can cause the delivery of voip push to be delayed only by few seconds or minutes. But in our case voip push is getting delivered hours after the voip call was attempted. Steps to reproduce: Put our voip app in background and lock iPhone. As app is put in background, socket connections gets disconnected from server. Now if a caller makes call to this app, the call should be delivered through voip push. 2) Voip push should ideally be received even if app is in background and iPhone is locked. It is connected to a good wifi network. But it does not receive the voip push. 3) After 1-2 hours user unlocks iPhone and opens voip app. As soon as user opens app, the voip push is received and phone starts ringing.
Replies
11
Boosts
0
Views
696
Activity
6d
Reply to watchOS-Only App First Submission — IAP Rejected Multiple Times, Works in TestFlight Sandbox but Not in Review
@wodiuleliangpro Please file a code-level support ticket so we can assist you with this issue.
Topic: App & System Services SubTopic: StoreKit Tags:
Replies
Boosts
Views
Activity
6d
XCode 26.5: cannot Copy shared cache symbols from Apple Watch
The process of copying shared cache symbols from my Apple Watch has been horrendous. I cannot even get past 2% complete before this process fails. Every device is on the same network. I have trusted my machine. Developer mode is enabled on the watch. I have successfully paired the phone and watch. I managed to install an Watch app onto the watch. But the shared cache symbols were never copied from the watch. I gathered several commands at the terminal to help me. rm -rf ~/Library/Developer/Xcode/DerivedData rm -rf ~/Library/Developer/CoreDevice sudo killall -9 remoted CoreDeviceService 2>/dev/null || true xcrun devicectl manage ddis update xcrun devicectl list devices Clear CoreDevice state. With Xcode quit: rm -rf ~/Library/Developer/Xcode/DerivedData rm -rf ~/Library/Caches/com.apple.dt.Xcode Reset Xcode's Local Network permission. tccutil reset Local-Network com.apple.dt.Xcode tccutil reset Bluetooth com.apple.dt.Xcode xcrun devicectl device info hardware --device MY_DEVICE_ID xcrun de
Replies
1
Boosts
0
Views
160
Activity
6d
Developer Subscription enrollment not completing.
Hello guys. It's been 2 weeks since I paid for my developer account and I haven't received access to the developer tools yet. I finished all the process and still nothing, the money has also been charged from my bank account. Also I contacted https://developer.apple.com/contact/ but I haven't received any answer from them. I don't know how to proceed.
Replies
1
Boosts
0
Views
79
Activity
6d
Apple Developer Program Enrollment Pending for 2+ Weeks, No Response from Support
Hello, My Apple Developer Program enrollment has been stuck on Pending for over two weeks with no communication from Apple. Details: Apple ID: inquirytpv [at] gmail [dot] com Enrollment type: Individual Location: Japan What I have confirmed: Two-factor authentication is enabled Apple ID name matches my legal ID exactly No pending agreements or verification requests in the portal No emails in spam/junk requesting additional action I have a completed macOS application ready for App Store submission. This pending status is the only thing blocking my launch. I have also tried contacting support via the Contact Us page but have not received a response. Could someone please review my enrollment or let me know if anything additional is needed? Thank you.
Replies
1
Boosts
0
Views
83
Activity
6d